gtkmm: Gtk::TextTag Class Reference

gtkmm 3.5.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gtk::TextTag Class Reference
TextView Classes

Typedefed as Gtk::TextBuffer::Tag. More...

Inheritance diagram for Gtk::TextTag:
[legend]

List of all members.

## Public Member Functions
virtual | ~TextTag ()
GtkTextTag* | gobj ()
| Provides access to the underlying C GObject.
const GtkTextTag* | gobj () const
| Provides access to the underlying C GObject.
GtkTextTag* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
int | get_priority () const
| Get the tag priority.
void | set_priority (int priority)
| Sets the priority of a Gtk::TextTag.
bool | event (const Glib::RefPtr< Glib::Object >& event_object, GdkEvent* event, const TextIter& iter)
| Emits the "event" signal on the Gtk::TextTag.
Glib::SignalProxy3< bool, const Glib::RefPtr < Glib::Object > &, GdkEvent *, const TextIter& > | signal_event ()
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_name () const
| Name used to refer to the text tag.
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_background ()
| Background color as a string.
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_foreground ()
| Foreground color as a string.
Glib::PropertyProxy< Gdk::Color > | property_background_gdk ()
| Background color as a GdkColor.
Glib::PropertyProxy_ReadOnly < Gdk::Color > | property_background_gdk () const
| Background color as a GdkColor.
Glib::PropertyProxy< Gdk::RGBA > | property_background_rgba ()
| Background color as a GdkRGBA.
Glib::PropertyProxy_ReadOnly < Gdk::RGBA > | property_background_rgba () const
| Background color as a GdkRGBA.
Glib::PropertyProxy< Gdk::Color > | property_foreground_gdk ()
| Foreground color as a GdkColor.
Glib::PropertyProxy_ReadOnly < Gdk::Color > | property_foreground_gdk () const
| Foreground color as a GdkColor.
Glib::PropertyProxy< Gdk::RGBA > | property_foreground_rgba ()
| Foreground color as a GdkRGBA.
Glib::PropertyProxy_ReadOnly < Gdk::RGBA > | property_foreground_rgba () const
| Foreground color as a GdkRGBA.
Glib::PropertyProxy < Glib::ustring > | property_font ()
| Font description as a string, e.g.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_font () const
| Font description as a string, e.g.
Glib::PropertyProxy < Pango::FontDescription > | property_font_desc ()
| Font description as a PangoFontDescription struct.
Glib::PropertyProxy_ReadOnly < Pango::FontDescription > | property_font_desc () const
| Font description as a PangoFontDescription struct.
Glib::PropertyProxy < Glib::ustring > | property_family ()
| Name of the font family, e.g.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_family () const
| Name of the font family, e.g.
Glib::PropertyProxy< Pango::Style > | property_style ()
| Font style as a PangoStyle, e.g.
Glib::PropertyProxy_ReadOnly < Pango::Style > | property_style () const
| Font style as a PangoStyle, e.g.
Glib::PropertyProxy < Pango::Variant > | property_variant ()
| Font variant as a PangoVariant, e.g.
Glib::PropertyProxy_ReadOnly < Pango::Variant > | property_variant () const
| Font variant as a PangoVariant, e.g.
Glib::PropertyProxy< int > | property_weight ()
| Font weight as an integer, see predefined values in PangoWeight; for example, PANGO_WEIGHT_BOLD.
Glib::PropertyProxy_ReadOnly< int > | property_weight () const
| Font weight as an integer, see predefined values in PangoWeight; for example, PANGO_WEIGHT_BOLD.
Glib::PropertyProxy < Pango::Stretch > | property_stretch ()
| Font stretch as a PangoStretch, e.g.
Glib::PropertyProxy_ReadOnly < Pango::Stretch > | property_stretch () const
| Font stretch as a PangoStretch, e.g.
Glib::PropertyProxy< int > | property_size ()
| Font size in Pango units.
Glib::PropertyProxy_ReadOnly< int > | property_size () const
| Font size in Pango units.
Glib::PropertyProxy< double > | property_size_points ()
| Font size in points.
Glib::PropertyProxy_ReadOnly < double > | property_size_points () const
| Font size in points.
Glib::PropertyProxy< double > | property_scale ()
| Font size as a scale factor relative to the default font size.
Glib::PropertyProxy_ReadOnly < double > | property_scale () const
| Font size as a scale factor relative to the default font size.
Glib::PropertyProxy< int > | property_pixels_above_lines ()
| Pixels of blank space above paragraphs.
Glib::PropertyProxy_ReadOnly< int > | property_pixels_above_lines () const
| Pixels of blank space above paragraphs.
Glib::PropertyProxy< int > | property_pixels_below_lines ()
| Pixels of blank space below paragraphs.
Glib::PropertyProxy_ReadOnly< int > | property_pixels_below_lines () const
| Pixels of blank space below paragraphs.
Glib::PropertyProxy< int > | property_pixels_inside_wrap ()
| Pixels of blank space between wrapped lines in a paragraph.
Glib::PropertyProxy_ReadOnly< int > | property_pixels_inside_wrap () const
| Pixels of blank space between wrapped lines in a paragraph.
Glib::PropertyProxy< bool > | property_editable ()
| Whether the text can be modified by the user.
Glib::PropertyProxy_ReadOnly < bool > | property_editable () const
| Whether the text can be modified by the user.
Glib::PropertyProxy< WrapMode > | property_wrap_mode ()
| Whether to wrap lines never, at word boundaries, or at character boundaries.
Glib::PropertyProxy_ReadOnly < WrapMode > | property_wrap_mode () const
| Whether to wrap lines never, at word boundaries, or at character boundaries.
Glib::PropertyProxy < Justification > | property_justification ()
| Left, right, or center justification.
Glib::PropertyProxy_ReadOnly < Justification > | property_justification () const
| Left, right, or center justification.
Glib::PropertyProxy < TextDirection > | property_direction ()
| Text direction, e.g.
Glib::PropertyProxy_ReadOnly < TextDirection > | property_direction () const
| Text direction, e.g.
Glib::PropertyProxy< int > | property_left_margin ()
| Width of the left margin in pixels.
Glib::PropertyProxy_ReadOnly< int > | property_left_margin () const
| Width of the left margin in pixels.
Glib::PropertyProxy< int > | property_indent ()
| Amount to indent the paragraph, in pixels.
Glib::PropertyProxy_ReadOnly< int > | property_indent () const
| Amount to indent the paragraph, in pixels.
Glib::PropertyProxy< bool > | property_strikethrough ()
| Whether to strike through the text.
Glib::PropertyProxy_ReadOnly < bool > | property_strikethrough () const
| Whether to strike through the text.
Glib::PropertyProxy< int > | property_right_margin ()
| Width of the right margin in pixels.
Glib::PropertyProxy_ReadOnly< int > | property_right_margin () const
| Width of the right margin in pixels.
Glib::PropertyProxy < Pango::Underline > | property_underline ()
| Style of underline for this text.
Glib::PropertyProxy_ReadOnly < Pango::Underline > | property_underline () const
| Style of underline for this text.
Glib::PropertyProxy< int > | property_rise ()
| Offset of text above the baseline (below the baseline if rise is negative) in Pango units.
Glib::PropertyProxy_ReadOnly< int > | property_rise () const
| Offset of text above the baseline (below the baseline if rise is negative) in Pango units.
Glib::PropertyProxy< bool > | property_background_full_height ()
| Whether the background color fills the entire line height or only the height of the tagged characters.
Glib::PropertyProxy_ReadOnly < bool > | property_background_full_height () const
| Whether the background color fills the entire line height or only the height of the tagged characters.
Glib::PropertyProxy < Glib::ustring > | property_language ()
| The language this text is in, as an ISO code.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_language () const
| The language this text is in, as an ISO code.
Glib::PropertyProxy < Pango::TabArray > | property_tabs ()
| Custom tabs for this text.
Glib::PropertyProxy_ReadOnly < Pango::TabArray > | property_tabs () const
| Custom tabs for this text.
Glib::PropertyProxy< bool > | property_invisible ()
| Whether this text is hidden.
Glib::PropertyProxy_ReadOnly < bool > | property_invisible () const
| Whether this text is hidden.
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_paragraph_background ()
| Paragraph background color as a string.
Glib::PropertyProxy< Gdk::Color > | property_paragraph_background_gdk ()
| Paragraph background color as a GdkColor.
Glib::PropertyProxy_ReadOnly < Gdk::Color > | property_paragraph_background_gdk () const
| Paragraph background color as a GdkColor.
Glib::PropertyProxy< Gdk::RGBA > | property_paragraph_background_rgba ()
| Paragraph background RGBA as a GdkRGBA.
Glib::PropertyProxy_ReadOnly < Gdk::RGBA > | property_paragraph_background_rgba () const
| Paragraph background RGBA as a GdkRGBA.
Glib::PropertyProxy< bool > | property_accumulative_margin ()
| Whether left and right margins accumulate.
Glib::PropertyProxy_ReadOnly < bool > | property_accumulative_margin () const
| Whether left and right margins accumulate.
Glib::PropertyProxy< bool > | property_background_set ()
| Whether this tag affects the background color.
Glib::PropertyProxy_ReadOnly < bool > | property_background_set () const
| Whether this tag affects the background color.
Glib::PropertyProxy< bool > | property_foreground_set ()
| Whether this tag affects the foreground color.
Glib::PropertyProxy_ReadOnly < bool > | property_foreground_set () const
| Whether this tag affects the foreground color.
Glib::PropertyProxy< bool > | property_family_set ()
| Whether this tag affects the font family.
Glib::PropertyProxy_ReadOnly < bool > | property_family_set () const
| Whether this tag affects the font family.
Glib::PropertyProxy< bool > | property_style_set ()
| Whether this tag affects the font style.
Glib::PropertyProxy_ReadOnly < bool > | property_style_set () const
| Whether this tag affects the font style.
Glib::PropertyProxy< bool > | property_variant_set ()
| Whether this tag affects the font variant.
Glib::PropertyProxy_ReadOnly < bool > | property_variant_set () const
| Whether this tag affects the font variant.
Glib::PropertyProxy< bool > | property_weight_set ()
| Whether this tag affects the font weight.
Glib::PropertyProxy_ReadOnly < bool > | property_weight_set () const
| Whether this tag affects the font weight.
Glib::PropertyProxy< bool > | property_stretch_set ()
| Whether this tag affects the font stretch.
Glib::PropertyProxy_ReadOnly < bool > | property_stretch_set () const
| Whether this tag affects the font stretch.
Glib::PropertyProxy< bool > | property_size_set ()
| Whether this tag affects the font size.
Glib::PropertyProxy_ReadOnly < bool > | property_size_set () const
| Whether this tag affects the font size.
Glib::PropertyProxy< bool > | property_scale_set ()
| Whether this tag scales the font size by a factor.
Glib::PropertyProxy_ReadOnly < bool > | property_scale_set () const
| Whether this tag scales the font size by a factor.
Glib::PropertyProxy< bool > | property_pixels_above_lines_set ()
| Whether this tag affects the number of pixels above lines.
Glib::PropertyProxy_ReadOnly < bool > | property_pixels_above_lines_set () const
| Whether this tag affects the number of pixels above lines.
Glib::PropertyProxy< bool > | property_pixels_below_lines_set ()
| Whether this tag affects the number of pixels above lines.
Glib::PropertyProxy_ReadOnly < bool > | property_pixels_below_lines_set () const
| Whether this tag affects the number of pixels above lines.
Glib::PropertyProxy< bool > | property_pixels_inside_wrap_set ()
| Whether this tag affects the number of pixels between wrapped lines.
Glib::PropertyProxy_ReadOnly < bool > | property_pixels_inside_wrap_set () const
| Whether this tag affects the number of pixels between wrapped lines.
Glib::PropertyProxy< bool > | property_editable_set ()
| Whether this tag affects text editability.
Glib::PropertyProxy_ReadOnly < bool > | property_editable_set () const
| Whether this tag affects text editability.
Glib::PropertyProxy< bool > | property_wrap_mode_set ()
| Whether this tag affects line wrap mode.
Glib::PropertyProxy_ReadOnly < bool > | property_wrap_mode_set () const
| Whether this tag affects line wrap mode.
Glib::PropertyProxy< bool > | property_justification_set ()
| Whether this tag affects paragraph justification.
Glib::PropertyProxy_ReadOnly < bool > | property_justification_set () const
| Whether this tag affects paragraph justification.
Glib::PropertyProxy< bool > | property_left_margin_set ()
| Whether this tag affects the left margin.
Glib::PropertyProxy_ReadOnly < bool > | property_left_margin_set () const
| Whether this tag affects the left margin.
Glib::PropertyProxy< bool > | property_indent_set ()
| Whether this tag affects indentation.
Glib::PropertyProxy_ReadOnly < bool > | property_indent_set () const
| Whether this tag affects indentation.
Glib::PropertyProxy< bool > | property_strikethrough_set ()
| Whether this tag affects strikethrough.
Glib::PropertyProxy_ReadOnly < bool > | property_strikethrough_set () const
| Whether this tag affects strikethrough.
Glib::PropertyProxy< bool > | property_right_margin_set ()
| Whether this tag affects the right margin.
Glib::PropertyProxy_ReadOnly < bool > | property_right_margin_set () const
| Whether this tag affects the right margin.
Glib::PropertyProxy< bool > | property_underline_set ()
| Whether this tag affects underlining.
Glib::PropertyProxy_ReadOnly < bool > | property_underline_set () const
| Whether this tag affects underlining.
Glib::PropertyProxy< bool > | property_rise_set ()
| Whether this tag affects the rise.
Glib::PropertyProxy_ReadOnly < bool > | property_rise_set () const
| Whether this tag affects the rise.
Glib::PropertyProxy< bool > | property_background_full_height_set ()
| Whether this tag affects background height.
Glib::PropertyProxy_ReadOnly < bool > | property_background_full_height_set () const
| Whether this tag affects background height.
Glib::PropertyProxy< bool > | property_language_set ()
| Whether this tag affects the language the text is rendered as.
Glib::PropertyProxy_ReadOnly < bool > | property_language_set () const
| Whether this tag affects the language the text is rendered as.
Glib::PropertyProxy< bool > | property_tabs_set ()
| Whether this tag affects tabs.
Glib::PropertyProxy_ReadOnly < bool > | property_tabs_set () const
| Whether this tag affects tabs.
Glib::PropertyProxy< bool > | property_invisible_set ()
| Whether this tag affects text visibility.
Glib::PropertyProxy_ReadOnly < bool > | property_invisible_set () const
| Whether this tag affects text visibility.
Glib::PropertyProxy< bool > | property_paragraph_background_set ()
| Whether this tag affects the paragraph background color.
Glib::PropertyProxy_ReadOnly < bool > | property_paragraph_background_set () const
| Whether this tag affects the paragraph background color.
## Static Public Member Functions
static Glib::RefPtr< TextTag > | create ()
static Glib::RefPtr< TextTag > | create (const Glib::ustring& name)
## Protected Member Functions
| TextTag ()
| TextTag (const Glib::ustring& name)
virtual bool | on_event (const Glib::RefPtr< Glib::Object >& event_object, GdkEvent* event, const TextIter& iter)
| This is a default handler for the signal signal_event().
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::TextTag > | wrap (GtkTextTag* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Typedefed as Gtk::TextBuffer::Tag.

Text in a buffer can be marked with tags. A tag is an attribute that can be applied to some range of text. For example, a tag might be called "bold" and might make the text inside the tag bold. However, the tag concept is more general than that; tags don't have to affect appearance. They can instead affect the behavior of mouse and key presses, "lock" a range of text so the user can't edit it, or countless other things. One tag can be applied to any number of text ranges in any number of Gtk::TextBuffers.

Each tag is stored in a Gtk::TextBuffer::TagTable, and Tags should be in the Gtk::TextBuffer::TagTable for a given Gtk::TextBuffer before using them with that buffer.

Tags can have names, which is convenient sometimes (for example, you can name your tag that makes things bold "bold"), but they can also be anonymous (which is convenient if you're creating tags on-the-fly).

Gtk::TextBuffer::create_tag() is the best way to create tags. See the demo for numerous examples.

## Constructor & Destructor Documentation

virtual Gtk::TextTag::~TextTag | ( |  | ) | `[virtual]`

Gtk::TextTag::TextTag | ( |  | ) | `[protected]`

Gtk::TextTag::TextTag | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<TextTag> Gtk::TextTag::create | ( |  | ) | `[static]`

static Glib::RefPtr<TextTag> Gtk::TextTag::create | ( | const Glib::ustring & | name | ) | `[static]`

bool Gtk::TextTag::event | ( | const Glib::RefPtr< Glib::Object > & | event_object,
|  | GdkEvent * | event,
|  | const TextIter& | iter
| ) |  |

Emits the "event" signal on the Gtk::TextTag.

Parameters:

  event_object | Object that received the event, such as a widget.
  event | The event.
  iter | Location where the event was received.

Returns:
  Result of signal emission (whether the event was handled).

int Gtk::TextTag::get_priority | ( |  | ) | const

Get the tag priority.

Returns:
  The tag's priority.

GtkTextTag* Gtk::TextTag::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

const GtkTextTag* Gtk::TextTag::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GtkTextTag* Gtk::TextTag::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

virtual bool Gtk::TextTag::on_event | ( | const Glib::RefPtr< Glib::Object > & | event_object,
|  | GdkEvent * | event,
|  | const TextIter& | iter
| ) |  | `[protected, virtual]`

This is a default handler for the signal signal_event().

Glib::PropertyProxy< bool > Gtk::TextTag::property_accumulative_margin | ( |  | ) |

Whether left and right margins accumulate.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_accumulative_margin | ( |  | ) | const

Whether left and right margins accumulate.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::ustring > Gtk::TextTag::property_background | ( |  | ) |

Background color as a string.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_background_full_height | ( |  | ) |

Whether the background color fills the entire line height or only the height of the tagged characters.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_background_full_height | ( |  | ) | const

Whether the background color fills the entire line height or only the height of the tagged characters.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_background_full_height_set | ( |  | ) |

Whether this tag affects background height.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_background_full_height_set | ( |  | ) | const

Whether this tag affects background height.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gdk::Color > Gtk::TextTag::property_background_gdk | ( |  | ) |

Background color as a GdkColor.

Deprecated:
  Use property_background_rgba() instead.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gdk::Color > Gtk::TextTag::property_background_gdk | ( |  | ) | const

Background color as a GdkColor.

Deprecated:
  Use property_background_rgba() instead.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gdk::RGBA > Gtk::TextTag::property_background_rgba | ( |  | ) |

Background color as a GdkRGBA.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gdk::RGBA > Gtk::TextTag::property_background_rgba | ( |  | ) | const

Background color as a GdkRGBA.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_background_set | ( |  | ) |

Whether this tag affects the background color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_background_set | ( |  | ) | const

Whether this tag affects the background color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< TextDirection > Gtk::TextTag::property_direction | ( |  | ) |

Text direction, e.g.

right-to-left or left-to-right.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< TextDirection > Gtk::TextTag::property_direction | ( |  | ) | const

Text direction, e.g.

right-to-left or left-to-right.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_editable | ( |  | ) |

Whether the text can be modified by the user.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_editable | ( |  | ) | const

Whether the text can be modified by the user.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_editable_set | ( |  | ) |

Whether this tag affects text editability.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_editable_set | ( |  | ) | const

Whether this tag affects text editability.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::TextTag::property_family | ( |  | ) |

Name of the font family, e.g.

Sans, Helvetica, Times, Monospace.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::TextTag::property_family | ( |  | ) | const

Name of the font family, e.g.

Sans, Helvetica, Times, Monospace.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_family_set | ( |  | ) |

Whether this tag affects the font family.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_family_set | ( |  | ) | const

Whether this tag affects the font family.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::TextTag::property_font | ( |  | ) |

Font description as a string, e.g.

'Sans Italic 12'.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::TextTag::property_font | ( |  | ) | const

Font description as a string, e.g.

'Sans Italic 12'.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Pango::FontDescription > Gtk::TextTag::property_font_desc | ( |  | ) |

Font description as a PangoFontDescription struct.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Pango::FontDescription > Gtk::TextTag::property_font_desc | ( |  | ) | const

Font description as a PangoFontDescription struct.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::ustring > Gtk::TextTag::property_foreground | ( |  | ) |

Foreground color as a string.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gdk::Color > Gtk::TextTag::property_foreground_gdk | ( |  | ) |

Foreground color as a GdkColor.

Deprecated:
  Use property_foreground_rgba() instead.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gdk::Color > Gtk::TextTag::property_foreground_gdk | ( |  | ) | const

Foreground color as a GdkColor.

Deprecated:
  Use property_foreground_rgba() instead.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gdk::RGBA > Gtk::TextTag::property_foreground_rgba | ( |  | ) |

Foreground color as a GdkRGBA.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gdk::RGBA > Gtk::TextTag::property_foreground_rgba | ( |  | ) | const

Foreground color as a GdkRGBA.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_foreground_set | ( |  | ) |

Whether this tag affects the foreground color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_foreground_set | ( |  | ) | const

Whether this tag affects the foreground color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::TextTag::property_indent | ( |  | ) |

Amount to indent the paragraph, in pixels.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_indent | ( |  | ) | const

Amount to indent the paragraph, in pixels.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_indent_set | ( |  | ) |

Whether this tag affects indentation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_indent_set | ( |  | ) | const

Whether this tag affects indentation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_invisible | ( |  | ) |

Whether this text is hidden.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_invisible | ( |  | ) | const

Whether this text is hidden.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_invisible_set | ( |  | ) |

Whether this tag affects text visibility.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_invisible_set | ( |  | ) | const

Whether this tag affects text visibility.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Justification > Gtk::TextTag::property_justification | ( |  | ) |

Left, right, or center justification.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Justification > Gtk::TextTag::property_justification | ( |  | ) | const

Left, right, or center justification.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_justification_set | ( |  | ) |

Whether this tag affects paragraph justification.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_justification_set | ( |  | ) | const

Whether this tag affects paragraph justification.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::TextTag::property_language | ( |  | ) |

The language this text is in, as an ISO code.

Pango can use this as a hint when rendering the text. If not set, an appropriate default will be used.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::TextTag::property_language | ( |  | ) | const

The language this text is in, as an ISO code.

Pango can use this as a hint when rendering the text. If not set, an appropriate default will be used.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_language_set | ( |  | ) |

Whether this tag affects the language the text is rendered as.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_language_set | ( |  | ) | const

Whether this tag affects the language the text is rendered as.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::TextTag::property_left_margin | ( |  | ) |

Width of the left margin in pixels.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_left_margin | ( |  | ) | const

Width of the left margin in pixels.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_left_margin_set | ( |  | ) |

Whether this tag affects the left margin.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_left_margin_set | ( |  | ) | const

Whether this tag affects the left margin.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::TextTag::property_name | ( |  | ) | const

Name used to refer to the text tag.

NULL for anonymous tags.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::ustring > Gtk::TextTag::property_paragraph_background | ( |  | ) |

Paragraph background color as a string.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gdk::Color > Gtk::TextTag::property_paragraph_background_gdk | ( |  | ) |

Paragraph background color as a GdkColor.

Deprecated:
  Use property_paragraph_background_rgba() instead.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gdk::Color > Gtk::TextTag::property_paragraph_background_gdk | ( |  | ) | const

Paragraph background color as a GdkColor.

Deprecated:
  Use property_paragraph_background_rgba() instead.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gdk::RGBA > Gtk::TextTag::property_paragraph_background_rgba | ( |  | ) |

Paragraph background RGBA as a GdkRGBA.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gdk::RGBA > Gtk::TextTag::property_paragraph_background_rgba | ( |  | ) | const

Paragraph background RGBA as a GdkRGBA.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_paragraph_background_set | ( |  | ) |

Whether this tag affects the paragraph background color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_paragraph_background_set | ( |  | ) | const

Whether this tag affects the paragraph background color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::TextTag::property_pixels_above_lines | ( |  | ) |

Pixels of blank space above paragraphs.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_pixels_above_lines | ( |  | ) | const

Pixels of blank space above paragraphs.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_pixels_above_lines_set | ( |  | ) |

Whether this tag affects the number of pixels above lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_pixels_above_lines_set | ( |  | ) | const

Whether this tag affects the number of pixels above lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::TextTag::property_pixels_below_lines | ( |  | ) |

Pixels of blank space below paragraphs.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_pixels_below_lines | ( |  | ) | const

Pixels of blank space below paragraphs.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_pixels_below_lines_set | ( |  | ) |

Whether this tag affects the number of pixels above lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_pixels_below_lines_set | ( |  | ) | const

Whether this tag affects the number of pixels above lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::TextTag::property_pixels_inside_wrap | ( |  | ) |

Pixels of blank space between wrapped lines in a paragraph.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_pixels_inside_wrap | ( |  | ) | const

Pixels of blank space between wrapped lines in a paragraph.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_pixels_inside_wrap_set | ( |  | ) |

Whether this tag affects the number of pixels between wrapped lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_pixels_inside_wrap_set | ( |  | ) | const

Whether this tag affects the number of pixels between wrapped lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::TextTag::property_right_margin | ( |  | ) |

Width of the right margin in pixels.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_right_margin | ( |  | ) | const

Width of the right margin in pixels.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_right_margin_set | ( |  | ) |

Whether this tag affects the right margin.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_right_margin_set | ( |  | ) | const

Whether this tag affects the right margin.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::TextTag::property_rise | ( |  | ) |

Offset of text above the baseline (below the baseline if rise is negative) in Pango units.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_rise | ( |  | ) | const

Offset of text above the baseline (below the baseline if rise is negative) in Pango units.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_rise_set | ( |  | ) |

Whether this tag affects the rise.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_rise_set | ( |  | ) | const

Whether this tag affects the rise.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< double > Gtk::TextTag::property_scale | ( |  | ) |

Font size as a scale factor relative to the default font size.

This properly adapts to theme changes etc. so is recommended. Pango predefines some scales such as PANGO_SCALE_X_LARGE.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< double > Gtk::TextTag::property_scale | ( |  | ) | const

Font size as a scale factor relative to the default font size.

This properly adapts to theme changes etc. so is recommended. Pango predefines some scales such as PANGO_SCALE_X_LARGE.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_scale_set | ( |  | ) |

Whether this tag scales the font size by a factor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_scale_set | ( |  | ) | const

Whether this tag scales the font size by a factor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::TextTag::property_size | ( |  | ) |

Font size in Pango units.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_size | ( |  | ) | const

Font size in Pango units.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< double > Gtk::TextTag::property_size_points | ( |  | ) |

Font size in points.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< double > Gtk::TextTag::property_size_points | ( |  | ) | const

Font size in points.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_size_set | ( |  | ) |

Whether this tag affects the font size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_size_set | ( |  | ) | const

Whether this tag affects the font size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Pango::Stretch > Gtk::TextTag::property_stretch | ( |  | ) |

Font stretch as a PangoStretch, e.g.

PANGO_STRETCH_CONDENSED.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Pango::Stretch > Gtk::TextTag::property_stretch | ( |  | ) | const

Font stretch as a PangoStretch, e.g.

PANGO_STRETCH_CONDENSED.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_stretch_set | ( |  | ) |

Whether this tag affects the font stretch.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_stretch_set | ( |  | ) | const

Whether this tag affects the font stretch.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_strikethrough | ( |  | ) |

Whether to strike through the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_strikethrough | ( |  | ) | const

Whether to strike through the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_strikethrough_set | ( |  | ) |

Whether this tag affects strikethrough.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_strikethrough_set | ( |  | ) | const

Whether this tag affects strikethrough.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Pango::Style > Gtk::TextTag::property_style | ( |  | ) |

Font style as a PangoStyle, e.g.

PANGO_STYLE_ITALIC.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Pango::Style > Gtk::TextTag::property_style | ( |  | ) | const

Font style as a PangoStyle, e.g.

PANGO_STYLE_ITALIC.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_style_set | ( |  | ) |

Whether this tag affects the font style.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_style_set | ( |  | ) | const

Whether this tag affects the font style.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Pango::TabArray > Gtk::TextTag::property_tabs | ( |  | ) |

Custom tabs for this text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Pango::TabArray > Gtk::TextTag::property_tabs | ( |  | ) | const

Custom tabs for this text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_tabs_set | ( |  | ) |

Whether this tag affects tabs.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_tabs_set | ( |  | ) | const

Whether this tag affects tabs.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Pango::Underline > Gtk::TextTag::property_underline | ( |  | ) |

Style of underline for this text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Pango::Underline > Gtk::TextTag::property_underline | ( |  | ) | const

Style of underline for this text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_underline_set | ( |  | ) |

Whether this tag affects underlining.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_underline_set | ( |  | ) | const

Whether this tag affects underlining.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Pango::Variant > Gtk::TextTag::property_variant | ( |  | ) |

Font variant as a PangoVariant, e.g.

PANGO_VARIANT_SMALL_CAPS.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Pango::Variant > Gtk::TextTag::property_variant | ( |  | ) | const

Font variant as a PangoVariant, e.g.

PANGO_VARIANT_SMALL_CAPS.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_variant_set | ( |  | ) |

Whether this tag affects the font variant.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_variant_set | ( |  | ) | const

Whether this tag affects the font variant.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::TextTag::property_weight | ( |  | ) |

Font weight as an integer, see predefined values in PangoWeight; for example, PANGO_WEIGHT_BOLD.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_weight | ( |  | ) | const

Font weight as an integer, see predefined values in PangoWeight; for example, PANGO_WEIGHT_BOLD.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_weight_set | ( |  | ) |

Whether this tag affects the font weight.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_weight_set | ( |  | ) | const

Whether this tag affects the font weight.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< WrapMode > Gtk::TextTag::property_wrap_mode | ( |  | ) |

Whether to wrap lines never, at word boundaries, or at character boundaries.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< WrapMode > Gtk::TextTag::property_wrap_mode | ( |  | ) | const

Whether to wrap lines never, at word boundaries, or at character boundaries.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::TextTag::property_wrap_mode_set | ( |  | ) |

Whether this tag affects line wrap mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_wrap_mode_set | ( |  | ) | const

Whether this tag affects line wrap mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::TextTag::set_priority | ( | int | priority | ) |

Sets the priority of a Gtk::TextTag.

Valid priorities are start at 0 and go to one less than Gtk::TextTagTable::get_size(). Each tag in a table has a unique priority; setting the priority of one tag shifts the priorities of all the other tags in the table to maintain a unique priority for each tag. Higher priority tags "win" if two tags both set the same text attribute. When adding a tag to a tag table, it will be assigned the highest priority in the table by default; so normally the precedence of a set of tags is the order in which they were added to the table, or created with Gtk::TextBuffer::create_tag(), which adds the tag to the buffer's table automatically.

Parameters:

  priority | The new priority.

Glib::SignalProxy3< bool,const Glib::RefPtr<Glib::Object>&,GdkEvent*,const TextIter& > Gtk::TextTag::signal_event | ( |  | ) |

Slot Prototype:
  `bool on_my_event(const Glib::RefPtr<Glib::Object>& event_object, GdkEvent* event, const TextIter& iter)`

The signal_event() signal is emitted when an event occurs on a region of the buffer marked with this tag.

Parameters:

  object | The object the event was fired from (typically a Gtk::TextView).
  event | The event which triggered the signal.
  iter | A Gtk::TextIter pointing at the location the event occured.

Returns:
  `true` to stop other handlers from being invoked for the event. `false` to propagate the event further.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::TextTag > wrap | ( | GtkTextTag * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/texttag.h